package grub-common 2.02~beta3-4ubuntu7.1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Bug #1747579 reported by Olivier Jacquemin on 2018-02-06
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
Undecided
Unassigned

Bug Description

Today updating my PC using Software Updater took forever.

Here is the relevant excerpt from dkpg.log.

Setting up grub-common (2.02~beta3-4ubuntu7.1) ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Job for grub-common.service failed because a timeout was exceeded.
See "systemctl status grub-common.service" and "journalctl -xe" for details.
invoke-rc.d: initscript grub-common, action "start" failed.
● grub-common.service - LSB: Record successful boot for GRUB
   Loaded: loaded (/etc/init.d/grub-common; generated; vendor preset: enabled)
   Active: failed (Result: timeout) since Tue 2018-02-06 07:11:45 CET; 11ms ago
     Docs: man:systemd-sysv-generator(8)
  Process: 4356 ExecStart=/etc/init.d/grub-common start (code=killed, signal=TERM)
    Tasks: 2 (limit: 4915)
   CGroup: /system.slice/grub-common.service
           └─4360 plymouth --ping

Feb 06 07:06:45 BRU-OLJA systemd[1]: Starting LSB: Record successful boot for GRUB...
Feb 06 07:11:45 BRU-OLJA systemd[1]: grub-common.service: Start operation timed out. Terminating.
Feb 06 07:11:45 BRU-OLJA systemd[1]: Failed to start LSB: Record successful boot for GRUB.
Feb 06 07:11:45 BRU-OLJA systemd[1]: grub-common.service: Unit entered failed state.
Feb 06 07:11:45 BRU-OLJA systemd[1]: grub-common.service: Failed with result 'timeout'.
dpkg: error processing package grub-common (--configure):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for systemd (234-2ubuntu12.1) ...
Processing triggers for man-db (2.7.6.1-2) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu5) ...
Processing triggers for hicolor-icon-theme (0.17-1) ...
Setting up adobe-flashplugin (1:20180109.1-0ubuntu0.17.10.1) ...
Setting up linux-firmware (1.169.3) ...
update-initramfs: Generating /boot/initrd.img-4.13.0-32-generic
W: Possible missing firmware /lib/firmware/amdgpu/raven_gpu_info.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_rlc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_mec2.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_mec.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_me.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_pfp.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_ce.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_sdma.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_vcn.bin for module amdgpu
update-initramfs: Generating /boot/initrd.img-4.13.0-31-generic
W: Possible missing firmware /lib/firmware/amdgpu/raven_gpu_info.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_rlc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_mec2.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_mec.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_me.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_pfp.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_ce.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_sdma.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_vcn.bin for module amdgpu
update-initramfs: Generating /boot/initrd.img-4.13.0-25-generic
W: Possible missing firmware /lib/firmware/amdgpu/raven_gpu_info.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_rlc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_mec2.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_mec.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_me.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_pfp.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_ce.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_sdma.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/raven_vcn.bin for module amdgpu
Setting up adobe-flash-properties-gtk (1:20180109.1-0ubuntu0.17.10.1) ...
dpkg: dependency problems prevent configuration of grub-pc-bin:
 grub-pc-bin depends on grub-common (= 2.02~beta3-4ubuntu7.1); however:
  Package grub-common is not configured yet.

dpkg: error processing package grub-pc-bin (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of grub-pc:
 grub-pc depends on grub-common (= 2.02~beta3-4ubuntu7.1); however:
  Package grub-common is not configured yet.
 grub-pc depends on grub-pc-bin (= 2.02~beta3-4ubuntu7.1); however:
  Package grub-pc-bin is not configured yet.

dpkg: error processing package grub-pc (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of grub2-common:
 grub2-common depends on grub-common (= 2.02~beta3-4ubuntu7.1); however:
  Package grub-common is not configured yet.

dpkg: error processing package grub2-common (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 grub-common
 grub-pc-bin
 grub-pc
 grub2-common

ProblemType: Package
DistroRelease: Ubuntu 17.10
Package: grub-common 2.02~beta3-4ubuntu7.1
ProcVersionSignature: Ubuntu 4.13.0-32.35-generic 4.13.13
Uname: Linux 4.13.0-32-generic x86_64
ApportVersion: 2.20.7-0ubuntu3.7
Architecture: amd64
Date: Tue Feb 6 07:11:45 2018
DpkgHistoryLog:
 Start-Date: 2018-02-06 07:01:31
 Commandline: aptdaemon role='role-commit-packages' sender=':1.118'
 Upgrade: adobe-flash-properties-gtk:amd64 (1:20171212.1-0ubuntu0.17.10.1, 1:20180109.1-0ubuntu0.17.10.1), grub-common:amd64 (2.02~beta3-4ubuntu7, 2.02~beta3-4ubuntu7.1), libparted2:amd64 (3.2-18, 3.2-18ubuntu0.1), simple-scan:amd64 (3.26.1-0ubuntu1, 3.26.3-0ubuntu0.17.10.0), grub2-common:amd64 (2.02~beta3-4ubuntu7, 2.02~beta3-4ubuntu7.1), grub-pc:amd64 (2.02~beta3-4ubuntu7, 2.02~beta3-4ubuntu7.1), adobe-flashplugin:amd64 (1:20171212.1-0ubuntu0.17.10.1, 1:20180109.1-0ubuntu0.17.10.1), grub-pc-bin:amd64 (2.02~beta3-4ubuntu7, 2.02~beta3-4ubuntu7.1), parted:amd64 (3.2-18, 3.2-18ubuntu0.1), linux-firmware:amd64 (1.169.2, 1.169.3)
ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationDate: Installed on 2017-11-26 (71 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20171018)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-32-generic root=/dev/mapper/bru--olja--vg-root ro quiet splash vt.handoff=7
Python3Details: /usr/bin/python3.6, Python 3.6.3, python3-minimal, 3.6.3-0ubuntu2
PythonDetails: /usr/bin/python2.7, Python 2.7.14, python-minimal, 2.7.14-2ubuntu1
RelatedPackageVersions:
 dpkg 1.18.24ubuntu1
 apt 1.5.1
SourcePackage: grub2
Title: package grub-common 2.02~beta3-4ubuntu7.1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

Olivier Jacquemin (o-jacquemin) wrote :
Olivier Jacquemin (o-jacquemin) wrote :
Download full text (3.2 KiB)

After rebooting and running apt upgrade from a command line the grub-common package seems to have completed its installation successfully (see below). Maybe this bug can be closed.

$ sudo apt upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  linux-headers-4.13.0-25 linux-headers-4.13.0-25-generic
  linux-image-4.13.0-25-generic linux-image-extra-4.13.0-25-generic
Use 'sudo apt autoremove' to remove them.
The following packages will be upgraded:
  virt-manager virtinst
2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
4 not fully installed or removed.
Need to get 1,070 kB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://be.archive.ubuntu.com/ubuntu artful-updates/universe amd64 virtinst all 1:1.4.0-5ubuntu2.1 [170 kB]
Get:2 http://be.archive.ubuntu.com/ubuntu artful-updates/universe amd64 virt-manager all 1:1.4.0-5ubuntu2.1 [900 kB]
Fetched 1,070 kB in 1s (558 kB/s)
(Reading database ... 259345 files and directories currently installed.)
Preparing to unpack .../virtinst_1%3a1.4.0-5ubuntu2.1_all.deb ...
Unpacking virtinst (1:1.4.0-5ubuntu2.1) over (1:1.4.0-5ubuntu2) ...
Preparing to unpack .../virt-manager_1%3a1.4.0-5ubuntu2.1_all.deb ...
Unpacking virt-manager (1:1.4.0-5ubuntu2.1) over (1:1.4.0-5ubuntu2) ...
Setting up virtinst (1:1.4.0-5ubuntu2.1) ...
Processing triggers for gconf2 (3.2.6-4ubuntu1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3) ...
Processing triggers for libglib2.0-0:amd64 (2.54.1-1ubuntu1) ...
Setting up grub-common (2.02~beta3-4ubuntu7.1) ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Processing triggers for man-db (2.7.6.1-2) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu5) ...
Setting up virt-manager (1:1.4.0-5ubuntu2.1) ...
Processing triggers for hicolor-icon-theme (0.17-1) ...
Setting up grub-pc-bin (2.02~beta3-4ubuntu7.1) ...
Setting up grub2-common (2.02~beta3-4ubuntu7.1) ...
Setting up grub-pc (2.02~beta3-4ubuntu7.1) ...
Installing for i386-pc platform.
File descriptor 3 (pipe:[32615]) leaked on vgs invocation. Parent PID 3841: grub-install
File descriptor 3 (pipe:[32615]) leaked on vgs invocation. Parent PID 3841: grub-install
File descriptor 3 (pipe:[32615]) leaked on vgs invocation. Parent PID 3841: grub-install
Installation finished. No error reported.
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.13.0-32-generic
Found initrd image: /boot/initrd.img-4.13.0-32-generic
Found linux image: /boot/vmlinuz-4.13.0-31-generic
Found initrd image: /boot/initrd.img-4.13.0-31-generic
Found linux image: /boot/vmlinuz-4.13.0-25-generic
Found initrd image: /boot/initrd.img-4.13.0-25-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
Found Ubuntu 17.04 (17.04) on /dev/mapper/bru--olja--vg-root2
done
W: APT had planned for dpkg to do more than it reported back (21 vs 25).
...

Read more...

tags: removed: need-duplicate-check
Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 1705345, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Please continue to report any other bugs you may find.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in grub2 (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers